; Draw Rocker Profiles
 
; Written by mitchell r grunes.
 
        pro RockerProfiles
        ncopy=1
       ;read,'# of sheets (1?):',ncopy
        ipen1=1
       ;read,'Thickness of thin lines (1?):',ipen1
        ipen2=3
       ;read,'Thickness of thick lines (3?--0 for none):',ipen2
        print,'X by y size is taken to be 8.5 by 11 inches.'
        xmargin=0.
       ;read,'Enter x margin in inches (.5?):',xmargin
	  xspace1=.25
      ;read,'X spacing of thin lines in inches (.25?):',xspace1
        xspace2=4
        if ipen2 gt 0 then begin
         ;read,'# of x thin lines/thick line (5?):',xspace2
          xspace2=xspace2*xspace1
        endif
        ymargin=.5
       ;read,'Enter y margin in inches (.5?):',ymargin
       yspace1=.25
       ;read,'Y spacing of thin lines in inches (.25?):',yspace1
        if ipen2 gt 0 then begin
          yspace2=4
         ;read,'# of y thin lines/thick line (5?):',yspace2
          yspace2=yspace2*yspace1
        endif
        if xspace2 eq xspace1 and yspace2 eq yspace1 then ipen2=0
        itrunc=1
        ;read,'Truncate graph area at last thick line (0=no; 1?):',itrunc
        savename=!d.name
        set_plot,'ps'           ; Postscript output
        device,filename='idl.ps'
        device,/inches,xsize=8.5-2*xmargin,ysize=11-2*ymargin, $
         xoff=0,yoff=0
        xspace=xspace1
        yspace=yspace1
        if ipen2 gt 0 and itrunc ne 0 then begin
          xspace=xspace1>xspace2
          yspace=yspace1>yspace2
        endif
        nx=fix( (8.5d0-xmargin*2)/xspace + .001d0)
        xmargin2=nx * xspace + xmargin
        ny=fix( (11d0 -ymargin*2)/yspace + .001d0)
        ymargin2=ny * yspace + ymargin
        for icopy=1,ncopy do begin
          if icopy ne 1 then erase
          xspace=xspace1
          yspace=yspace1
          ipen=ipen1
          for iter=1,2 do begin         ;1=thin lines, 2=thick
            print,'ipen,xspace,yspace=',ipen,xspace,yspace
            dot=2540.                 ; dots/inch
           for x=xmargin,8.d0+.001d0,xspace do begin
            plots,[x,x]*dot,[ymargin2-.5,11.d0*dot-ymargin*22]*dot,thick=ipen,/device
           endfor
           for y=ymargin,ymargin2+.001d0,yspace do begin
             plots,[xmargin,8d0*dot-xmargin*2]*dot,[y,y]*dot,thick=ipen,/device
           endfor
           xspace=xspace2
           yspace=yspace2
           ipen=ipen2
         endfor

	    T=lindgen(200001)/200000.d0*!dpi-!dpi/2
 	    print,'T range=',min(T),max(T)
	    print,'margins=',xmargin,xmargin2,ymargin,ymargin2
          rockers=[21,20,19,18,9,8.5d0,8,7.5d0,7,6,3,27/12.d0,2,1.5d0,17/12.d0,1,.75d0]*12
	    for irocker=0,n_elements(rockers)-1 do begin
             r=rockers(irocker)
		  x=r*cos(t)
		  y=r*sin(t)+10./2
		  i=where((y ge .5) and (y le 9.5))
		  i1=i(0)
		  i2=i(n_elements(i)-1)
		  x=x(i1:i2)-min(x(i1:i2))+irocker*.35+.5
             y=y(i1:i2)
		  plots,x*dot,y*dot,thick=ipen2,/device
             if r gt 28 then xyouts,(x(0))*dot,(y(0)+.03)*dot,sq(r/12)+"'", $
              /device,charthick=2,font=17,align=.5
             if r le 28 then xyouts,(x(0))*dot,(y(0)+.03)*dot,sq(r)+'"', $
              /device,charthick=2,font=17,align=.5
             if r gt 28 then print,'R=',sq(r/12)+"'"
             if r le 28 then print,'R=',sq(r)+'"'
	    endfor
        endfor
       xyouts,2*dot,.3*dot,'Rocker Profiles', $
              /device,charthick=2,font=17,align=.5
        device,/close_file
       ;SpawnPrint,'lp idl.ps'
        set_plot,savename
	  print,'DONE!'
        end
;---------------------------
        RockerProfiles
        end

